﻿.markdown-content h1,
.markdown-content h2,
.markdown-content h3 {
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
}

.markdown-content h1
{
    font-size: 22px;
}

.markdown-content h2 {
    font-size: 18px;
}

.markdown-content h3 {
    font-size: 16px;
}

.markdown-content h4 {
    font-size: 14px;
}

.markdown-content h5 {
    font-size: 12px;
}

.markdown-content strong,
.markdown-content b {
    font-weight: bold;
}

.markdown-content em,
.markdown-content i {
    font-style: italic;
}

.markdown-content code {
    background-color: #f6f8fa;
    padding: 2px 4px;
    font-family: monospace;
    border-radius: 4px;
    color: #d63384;
}

.markdown-content blockquote {
    border-left: 4px solid #dfe2e5;
    padding-left: 10px;
    color: #6a737d;
    font-style: italic;
}

.markdown-content a {
    color: #0366d6;
    text-decoration: none;
}

    .markdown-content a:hover {
        text-decoration: underline;
    }

.markdown-content ul,
.markdown-content ol {
    /*padding-left: 0px;*/
}

.markdown-content del {
    text-decoration: line-through;
}

.markdown-content img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}

.markdown-content li {
    padding: 0 !important;
    white-space: nowrap;
    /*overflow: hidden;*/
    text-overflow: ellipsis;
}

.markdown-content li:has(input[type="checkbox"]) {
    list-style-type: none;
}


.markdown-content h3 {
    font-size: 1.2rem;
}

.markdown-content code {
    background-color: transparent;
}

.dark .markdown-content code {
    color: #33c7d6;
}

.task-list-item {
    list-style-type: none;
}

.task-list-item input[type="checkbox"] {
        margin-right: 0.5em;
}

.markdown-content li p{
    margin-bottom:0px;
}